# seer-rb

Ruby SDK for SEER API

## Example

### Host query

#### Register with API token

```ruby
seer = Seer::Hosts.new(token: API_TOKEN, host: API_HOST)
```

#### Get host information by IP

```ruby
host = seer.ip(IP)
```

#### Get host information by custom search syntax

```ruby
host = seer.search(QUERY, RETURN_FIELD)
```

#### Get hosts by port

```ruby
hosts = seer.port(PORT)
```

### Domain query

#### Register with API token

```ruby
seer = Seer::DNS.new(token: API_TOKEN, host: API_HOST)
```

#### Get type A record by IP

```ruby
seer.ip(IP)
```

#### Get type A record by domain

```ruby
seer.domain(DOMAIN)
```

#### Get subdomain by domain

```ruby
seer.subdomain(SUBDOMAIN)
```

#### Custom search

```ruby
seer.search(key: KEY, type: TYPE)
```

### Org query

#### Register with API token

```ruby
seer = Seer::Org.new(token: API_TOKEN, host: API_HOST)
```

#### Get org by ip

```ruby
seer.ip(ip)
```

#### Get ip by asn

```ruby
seer.asn(asn)
```

## Installation

```
gem install seer-rb
```

```
gem "seer-rb"
```

## Project tracking

- [Documentation](http://www.rubydoc.info/gems/seer-rb)

## Usage

```ruby
require 'seer'
```